Package de.tudresden.sumo.objects

## Class SumoBoundingBox

- java.lang.Object
- - de.tudresden.sumo.objects.SumoBoundingBox

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoBoundingBox`

      public class SumoBoundingBox
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `x_max` |
    `double` | `x_min` |
    `double` | `y_max` |
    `double` | `y_min` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoBoundingBox()` |
    `SumoBoundingBox​(double x_min, double y_min, double x_max, double y_max)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x_min

          public double x_min

    - #### y_min

          public double y_min

    - #### x_max

          public double x_max

    - #### y_max

          public double y_max

  - ### Constructor Detail

    - #### SumoBoundingBox

          public SumoBoundingBox()

    - #### SumoBoundingBox

          public SumoBoundingBox​(double x_min,
                                 double y_min,
                                 double x_max,
                                 double y_max)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`